﻿Public Class Form1
    Enum FormatType
        Quick = 0
        Normal = 1
    End Enum
    Enum Capacity
        DefaultCapcity = 0
    End Enum
    Declare Function SHFormatDrive Lib "shell32" (ByVal hwnd As Int32, ByVal sDriveToFormat As String, ByVal s As Capacity, ByVal formattype As FormatType) As Int32
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        'Show the Format dialog
        SHFormatDrive(Me.Handle.ToInt32, ComboBox1.Text, CType(2, Capacity), FormatType.Normal)
    End Sub


    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'check if the current user is a member of the administrators
        If My.User.IsInRole("administrators") = True Then
            For Each drive In IO.DriveInfo.GetDrives
                'get all removable and fixed drives
                If drive.DriveType = IO.DriveType.Removable Or drive.DriveType = IO.DriveType.Fixed Then
                    'add all found drives into the combobox
                    ComboBox1.Items.Add(drive)
                End If
            Next
        Else
            MsgBox("You need administrator access to format a drive", MsgBoxStyle.Critical)
            End
        End If
    End Sub
End Class
